aboutsummaryrefslogtreecommitdiffstats
path: root/main/alpine-conf/0001-setup-xorg-base-initial-commit.patch
blob: 301e5777c2f8bd2af7afc70a2d5c840f1f85afb2 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
From 049d3ce1efda40a59bd42834d3b8db5cdb0386fa Mon Sep 17 00:00:00 2001
From: Natanael Copa <ncopa@alpinelinux.org>
Date: Mon, 6 Jun 2011 11:39:45 +0000
Subject: [PATCH 1/3] setup-xorg-base: initial commit

This script is supposed to help users to quickly get a working xorg server
running.
---
 .gitignore         |    1 +
 Makefile           |    1 +
 setup-xorg-base.in |   29 +++++++++++++++++++++++++++++
 3 files changed, 31 insertions(+), 0 deletions(-)
 create mode 100644 setup-xorg-base.in

diff --git a/.gitignore b/.gitignore
index c1f3e8e..e0b22b1 100644
--- a/.gitignore
+++ b/.gitignore
@@ -16,4 +16,5 @@ setup-interfaces
 setup-keymap
 setup-mta
 setup-timezone
+setup-xorg-base
 update-conf
diff --git a/Makefile b/Makefile
index 96ec9cc..91f0835 100644
--- a/Makefile
+++ b/Makefile
@@ -24,6 +24,7 @@ SBIN_FILES	:= lbu\
 		setup-acf\
 		setup-bootable\
 		setup-timezone\
+		setup-xorg-base\
 		update-conf
 
 BIN_FILES	:= uniso
diff --git a/setup-xorg-base.in b/setup-xorg-base.in
new file mode 100644
index 0000000..bcdbe77
--- /dev/null
+++ b/setup-xorg-base.in
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# simple script to setup x basic org server
+# you will still need a window manager and login manager or xinit
+
+base_pkgs="xorg-server xf86-video-vesa xf86-input-evdev xf86-input-mouse
+	xf86-input-keyboard udev"
+
+# TODO: detect graphics card and pick proper xf86-video-* driver based on that
+
+# TODO: detect if we need xf86-input-synaptics
+
+# ps mouse
+modprobe psmouse
+grep -q -w psmouse /etc/modules || echo "psmouse" >> /etc/modules
+
+# install packages
+apk add $base_pkgs $@
+
+# setup and start udev
+rc-update -q del mdev sysinit
+rc-update -q add udev sysinit
+rc-update -q add udev-postmount default
+
+if ! rc-service -q udev status; then
+	rc-service udev start
+	rc-service udev-postmount start
+fi
+
-- 
1.7.5.4